Subject: Re: [PATCHv3 1/2] wt-status.*: better advices for git status added

From: Matthieu Moy <[email-masked]>
Date: Thu, 31 May 2012 08:47:09 +0200

[email-masked] writes:

> Yes, we first thought that we could use statusHints to protect the
> new messages warnings. But users that disabled statusHints and still
> wished to know what to do during am/rebase/bisect etc.

I don't think you should worry too much about people who already set
statusHints. By definition, they are people who read the documentation,
which already disqualifies them as "newbies". If you show the state
unconditionally, and just hide the commands, then at worse, they will
have to read the doc again.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/